> For the complete documentation index, see [llms.txt](https://run-ai-docs.nvidia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://run-ai-docs.nvidia.com/self-hosted/2.25/reference/cli/runai/runai-my-credential-delete.md).

# runai my-credential delete

delete a personal credential

## Synopsis

Delete a personal credential by name and type.

```
runai my-credential delete SECRET_NAME --type <genericSecret|dockerRegistry|ngcApiKey> [flags]
```

## Examples

```
  runai my-credential delete app-config --type genericSecret
  runai my-credential delete dockerhub-creds --type dockerRegistry
  runai my-credential delete ngc-prod --type ngcApiKey
```

## Options

```
  -h, --help          help for delete
      --type string   Credential type: genericSecret, dockerRegistry, or ngcApiKey (required)
```

## Options inherited from parent commands

```
      --config-file string   config file name; can be set by environment variable RUNAI_CLI_CONFIG_FILE (default "config.json")
      --config-path string   config path; can be set by environment variable RUNAI_CLI_CONFIG_PATH
  -d, --debug                enable debug mode
  -q, --quiet                enable quiet mode, suppress all output except error messages
      --verbose              enable verbose mode
```

## SEE ALSO

* [runai my-credential](/self-hosted/2.25/reference/cli/runai/runai-my-credential.md) - manage personal credentials associated with the current user


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://run-ai-docs.nvidia.com/self-hosted/2.25/reference/cli/runai/runai-my-credential-delete.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
